Aller au contenu

AutoCAD LT 2008


264 sujets dans ce forum

  1. contrôle d\'accès~

    • 2 réponses
    • 3 k vues
  2. saisie de côtes identiques

    • 1 réponse
    • 2,7 k vues
  3. Attribut avec nom de la XREF ?

    • 15 réponses
    • 3,5 k vues
    • 8 réponses
    • 4 k vues
  4. xref

    • 6 réponses
    • 2,4 k vues
  5. Edition des attributs

    • 5 réponses
    • 2,6 k vues
  6. CREATION BLOCS DYNAMIQUES

    • 5 réponses
    • 2,4 k vues
  7. dessin protégé

    • 8 réponses
    • 3,3 k vues
  8. Lisp compilé

    • 6 réponses
    • 2,3 k vues
  9. DESINSTALER AUTOCAD LT 2008

    • 1 réponse
    • 1,8 k vues
  10. GROS PLANTAGE

    • 4 réponses
    • 2,2 k vues
  11. Windows 7

    • 9 réponses
    • 2,8 k vues
    • 2 réponses
    • 1,8 k vues
    • 0 réponse
    • 1,6 k vues
  12. Hachure personalisée

    • 3 réponses
    • 2,2 k vues
  13. jamais vu ça!!

    • 14 réponses
    • 3,8 k vues
    • 1 réponse
    • 17,8 k vues
    • 10 réponses
    • 2,7 k vues
  14. enregister sous en DXF

    • 9 réponses
    • 2,7 k vues
  15. convertpstyles

    • 0 réponse
    • 1,5 k vues
    • 3 réponses
    • 3,9 k vues
  16. C\'est un scandale

    • 12 réponses
    • 5 k vues
    • 0 réponse
    • 2,3 k vues
  17. Etat des calques

    • 1 réponse
    • 3,1 k vues
  18. Couleur de ligne.

    • 1 réponse
    • 2,8 k vues


  • Statistiques des forums

    • Total des sujets
      47,3 k
    • Total des messages
      286,6 k
  • Sujets

  • Messages

    • Salut Patrice. J'ai fait un petit test, ça semble fonctionner.
    • Invité lercugh
      venta viagra farmacia ivermectin cost Levitra Directions
    • Hello Voir Titre ... SVP est ce que cette routine TRIANGULATE tourne sur ZWCad ? Elle utilise des Points 3D XYZ pour creer un MNT en 3DFaces ... Merci de vos retours ... La Sante, Bye, lecrabe   ;; triangulate.lsp ;; http://elpanov.com/index.php?id=6 (defun c:triangulate (/ I L S) (princ (strcat "\n select points")) (if (setq i 0 s (ssget '((0 . "POINT"))) ) ;_ setq (progn (repeat (sslength s) (setq l (cons (cdr (assoc 10 (entget (ssname s i)))) l) i (1+ i) ) ;_ setq ) ;_ repeat (eea-delone-triangulate i l) ) ;_ progn ) ;_ if ) ;_ defun (defun eea-delone-triangulate (i1 L / A A1 A2 A3 I I2 L1 L2 L3 LP MA MI P S TI TR X1 X2 Y1 Y2 ) ;;********************************************************* ;; ;; Written by ElpanovEvgeniy ;; 17.10.2008 ;; Program triangulate an irregular set of 3d points. ;; ;;********************************************************* (if l (progn (setq ti (car (_VL-TIMES)) i 1 i1 (/ i1 100.) i2 0 l (vl-sort (mapcar (function (lambda (p) (list (/ (fix (* (car p) 1000)) 1000.) (/ (fix (* (cadr p) 1000)) 1000.) (caddr p) ) ;_ list ) ;_ lambda ) ;_ function l ) ;_ mapcar (function (lambda (a b) (>= (car a) (car b)))) ) ;_ vl-sort x2 (caar l) y1 (cadar l) y2 y1 ) ;_ setq (while l (setq a (fix (caar l)) a1 (list (car l)) l (cdr l) ) ;_ setq (while (and l (= (fix (caar l)) a)) (setq a2 (car l)) (if (<= (cadr a2) y1) (setq y1 (cadr a2)) (if (> (cadr a2) y2) (setq y2 (cadr a2)) ) ;_ if ) ;_ if (setq a1 (cons (car l) (vl-remove a2 a1)) l (cdr l) ) ;_ setq ) ;_ while (foreach a a1 (setq lp (cons a lp))) ) ;_ while (setq x1 (caar lp) a (list (/ (+ x1 x2) 2) (/ (+ y1 y2) 2)) a1 (distance a (list x1 y1)) ma (+ (car a) a1 a1) mi (- (car a) a1) s (list (list ma (cadr a) 0) (list mi (+ (cadr a) a1 a1) 0) (list (- (car a) a1) (- (cadr a) a1 a1) 0) ) ;_ list l (list (cons x2 (cons a (cons (+ a1 a1) s)))) ma (1- ma) mi (1+ mi) ) ;_ setq (while lp (setq p (car lp) lp (cdr lp) l1 nil ) ;_ setq (while l (setq tr (car l) l (cdr l) ) ;_ setq (cond ((< (car tr) (car p)) (setq l2 (cons (cdddr tr) l2))) ((< (distance p (cadr tr)) (caddr tr)) (setq tr (cdddr tr) a1 (car tr) a2 (cadr tr) a3 (caddr tr) l1 (cons (list (+ (car a1) (car a2)) (+ (cadr a1) (cadr a2)) a1 a2 ) ;_ list (cons (list (+ (car a2) (car a3)) (+ (cadr a2) (cadr a3)) a2 a3 ) ;_ list (cons (list (+ (car a3) (car a1)) (+ (cadr a3) (cadr a1)) a3 a1 ) ;_ list l1 ) ;_ cons ) ;_ cons ) ;_ cons ) ;_ setq ) (t (setq l3 (cons tr l3))) ) ;_ cond ) ;_ while (setq l l3 l3 nil l1 (vl-sort l1 (function (lambda (a b) (if (= (car a) (car b)) (<= (cadr a) (cadr b)) (< (car a) (car b)) ) ;_ if ) ;_ lambda ) ;_ function ) ;_ vl-sort ) ;_ setq (while l1 (if (and (= (caar l1) (caadr l1)) (= (cadar l1) (cadadr l1)) ) ;_ and (setq l1 (cddr l1)) (setq l (cons (eea-data-triangle p (cddar l1)) l) l1 (cdr l1) ) ;_ setq ) ;_ if ) ;_ while (if (and (< (setq i (1- i)) 1) (< i2 100)) (progn (setvar "MODEMACRO" (strcat " " (itoa (setq i2 (1+ i2))) " % " (substr (strcat "||||||||||||||||||||||||||||||||||||||||||||||||||" "||||||||||||||||||||||||||||||||||||||||||||||||||" ) ;_ strcat 1 i2 ) ;_ substr (substr "..." 1 (- 100 i2) ) ;_ substr ) ;_ strcat ) ;_ setvar (setq i i1) ) ;_ progn ) ;_ if ) ;_ while (foreach a l (setq l2 (cons (cdddr a) l2))) (setq l2 (vl-remove-if-not (function (lambda (a) (and (< mi (caadr a) ma) (< mi (caaddr a) ma)) ) ;_ lambda ) ;_ function l2 ) ;_ vl-remove-if ) ;_ setq (foreach a l2 (entmake (list (cons 0 "3DFACE") (cons 10 (car a)) (cons 11 (car a)) (cons 12 (cadr a)) (cons 13 (caddr a)) ) ;_ list ) ;_ entmake ) ;_ foreach ) ;_ progn ) ;_ if (setvar "MODEMACRO" "") (princ (strcat "\n " (rtos (/ (- (car (_VL-TIMES)) ti) 1000.) 2 4) " secs." ) ;_ strcat ) ;_ princ (princ) ) ;_ defun (defun eea-data-triangle (P1 l / A A1 P2 P3 P4 S) ;;********************************************************* ;; ;; Written by ElpanovEvgeniy ;; 17.10.2008 ;; Calculation of the centre of a circle and circle radius ;; for program triangulate ;; ;; (eea-data-triangle (getpoint)(list(getpoint)(getpoint))) ;;********************************************************* (setq p2 (car l) p3 (cadr l) p4 (list (car p3) (cadr p3)) ) ;_ setq (if (not (zerop (setq s (sin (setq a (- (angle p2 p4) (angle p2 p1))))) ) ;_ zerop ) ;_ not (progn (setq a (polar p4 (+ -1.570796326794896 (angle p4 p1) a) (setq a1 (/ (distance p1 p4) s 2.)) ) ;_ polar a1 (abs a1) ) ;_ setq (list (+ (car a) a1) a a1 p1 p2 p3) ) ;_ progn ) ;_ if ) ;_ defun ;|«Visual LISP© Format Options» (80 1 2 2 T " " 80 60 0 0 0 nil nil nil T) ;*** DO NOT add text below the comment! ***|;  
    • Coucou @Max73, Essaye de voir si cela te convient ou pas (j'ai essayé de faire au mieux selon la demande, sans surplus ^^") : ;--- Author : Luna ;--- Date : 14/08/2022 ;--- Version : 1.0.0 ; Création d'un objet MText détaillant la longueur totale d'une polyligne 3D (champ dynamique), du nombre total de sommets (sauf extrémités) ainsi que ; la différence d'altitude (Z) entre les deux extrémités ignorées (Zdébut - Zfin). Le MText est rattaché à la polyligne 3D via (grread) pour suivre la ; courbe. La rotation du texte est alignée à l'axe X du SCU courant et les valeurs spécifiées dans le MText sont exprimées en mètres, quelque soit la ; valeur de "INSUNITS". Le MText est inséré sur le calque de la polyligne 3D (mais les propriétés de couleurs, transparence, etc... correspondent aux ; valeurs courantes pour les nouveaux objets). (defun c:Poly3D_Max73 (/ get-poly-info cvunits set-MTEXT move-MTEXT name info layer htxt str text) (defun get-poly-info (ent / ob vs ve ps pe ID fa lg pt Dz) (if (and (setq ob (vlax-ename->vla-object ent)) (setq vs (vlax-curve-getStartPoint ent)) (setq ve (vlax-curve-getEndPoint ent)) (setq ps (vlax-curve-getStartParam ent)) (setq pe (vlax-curve-getEndParam ent)) (setq ID (vla-get-ObjectID ob)) (setq fa (getvar "INSUNITS")) (setq lg (strcat "%<\\AcObjProp.16.2 Object(%<\\_ObjId " (itoa ID) ">%).Length \\f \"%lu2%pr1%ct8[" (rtos (cvunits 1 fa 6)) "]%th32\">%")) (setq pt (1+ (fix pe))) (setq Dz (- (last ve) (last vs))) ) (list lg pt (cvunits Dz fa 6)) ) ) (defun cvunits (value from-unit to-unit / f) (defun f (u) (if (= (type u) 'INT) (cond ((= u 1) "inch") ((= u 2) "foot") ((= u 3) "mile") ((= u 4) "millimeter") ((= u 5) "centimeter") ((= u 6) "meter") ((= u 7) "kilometer") ((= u 8) "microinch") ((= u 9) "millipouce") ((= u 10) "yard") ((= u 11) "Angstrom") ((= u 12) "nanometer") ((= u 13) "micron") ((= u 14) "decimeter") ((= u 15) "dekameter") ((= u 16) "hectometer") ((= u 17) "gigameter") ((= u 18) "astronomical_unit") ((= u 19) "light_year") ((= u 20) "parsec") ((= u 21) "survey_foot") ) u ) ) (cvunit value (f from-unit) (f to-unit)) ) (defun set-MTEXT (pt wd str ht rt ly / ms ob) (and (setq ms (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object)))) (setq pt (vlax-3D-point pt)) (setq ob (vla-AddMText ms pt wd str)) (null (vlax-put ob 'Height ht)) (null (vlax-put ob 'Rotation rt)) (null (vlax-put ob 'Layer ly)) ) ob ) (defun move-MTEXT (msg curve mtext / gr pt) (princ msg) (while (and (setq gr (grread T)) (= 5 (car gr))) (setq pt (trans (cadr gr) 1 0)) (setq pt (vlax-curve-getClosestPointTo curve pt)) (vla-move mtext (vla-get-InsertionPoint mtext) (vlax-3D-point pt)) ) mtext ) (and (setq name (entsel "\nSélectionner une polyligne 3D : ")) (setq name (car name)) (= "POLYLINE" (cdr (assoc 0 (entget name)))) (setq info (get-poly-info name)) (setq layer (cdr (assoc 8 (entget name)))) (null (initget 6)) (or (setq htxt (getreal (strcat "\nSpécifier la hauteur de texte <" (rtos (getvar "TEXTSIZE")) ">: "))) (setq htxt (getvar "TEXTSIZE")) ) (setq str (strcat "Lg = " (car info) "m" "\n" "So = " (itoa (- (cadr info) 2)) "u" "\n" "Al = " (rtos (caddr info) 2 1) "m" ) ) (setq text (set-MTEXT '(0.0 0.0 0.0) (* htxt 10) str htxt 0.0 layer)) (move-MTEXT "\nSélectionner un point d'insertion : " name text) ) (princ) ) Normalement cela devrait suivre les infos que tu m'as donné 😉 Sur ce, bonne nuit ! Bisous, Luna
    • Bonjour @Guigues81,   La réponse que j'ai donné sur Civil est applicable sur Covadis de la même manière.   Olivier
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité